<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<div class="autocomplete-container">
  <input
    class="form-control entry-input"
    autocomplete="off"
    type="search"
    [(ngModel)]="notification.responsibilityForwarding"
    (ngModelChange)="searchChanged($event)"
    (keyup)="filter($event)"
    (focus)="handleFocus()"
    name="responsibilityForwardingInput"
    maxlength="100"
  />
  <div id="suggestions-id" class="suggestions" *ngIf="filteredList.length > 0">
    <ul>
      <li
        *ngFor="let item of filteredList"
        [class.complete-selected]="item.selected"
        [id]="item.selected"
      >
        <a (click)="select(item)">
          {{ item.name }}
        </a>
      </li>
    </ul>
  </div>
</div>
